Bug 104743 - ls --color should use terminfo database
ls --color should use terminfo database
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: fileutils (Show other bugs)
8.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-19 23:09 EDT by JW
Modified: 2007-04-18 12:57 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-10 07:16:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description JW 2003-09-19 23:09:13 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; MSIE 5.01; Windows 98;)

Description of problem:
Instead of having literal escape codes specified in
terminals-specific environment, terminfo compatible
color codes should be used instead.  Then it is a
simple matter of ensuring that the correct 'setb'
or 'setf' settings are set in the relevent terminfo
database.

After all, that is exactly what the terminfo database
is for.


Version-Release number of selected component (if applicable):
4.1.9-11

How reproducible:
Always

Steps to Reproduce:
1. Read /etc/profile.d/colorls.* and groan.
2.
3.
    

Actual Results:  Use terminfo.

Expected Results:  Use terminfo.


Additional info:

Use terminfo.
Comment 1 Tim Waugh 2003-09-29 03:18:32 EDT
I don't know much about terminfo.  Would you care to give me an example patch? 
I think it's the DIRCOLORS file you are talking about?
Comment 2 Tim Waugh 2004-12-10 07:16:34 EST
No feedback; closing.

Note You need to log in before you can comment on or make changes to this bug.